/*--------------------------------------------------------------------------*/
/*   File:   \cbproj\AudioIO\in_AudioIO\SWITCHES.H                          */
/*   Contains the project specific compilation switches                     */
/*       for "in_AudioIO.dll" (Winamp-plugin, ASIO dummy, Audio-I/O-bridge  */
/*--------------------------------------------------------------------------*/

#ifndef  _SWITCHES_H_
 #define _SWITCHES_H_

// The name of the DLL "produced" by this C project:
#define MY_DLL_NAME "in_AudioIO.dll" // registration will fail when names don't match

// The name of the ASIO driver which this DLL *CAN* optionally emulate,
//  returned by class AsioDriver::getDriverName() .
//  For convenience, this also appears in the windows registry as "key" .
//  May be helpful for that user who likes to poke around with regedit ;-)
#define MY_REGISTRY_ASIO_KEY "ASIO/AudioIO-Gateway" // max. 31 chars !

// A user friendly "description" for the ASIO-driver part of this library.
//        This is actually the NAME OF THE ASIO DEVICE
//        which appears in the application's list of ASIO devices,
//        for example in Spectrum Lab's 'Audio Settings' combo :
#define MY_ASIO_DRIVER_DESCRIPTION "ASIO/AudioIO-Gateway"

// Note: When changing any of the ASIO-related names above,
//       also create a new GUID for the ASIO-driver-part
//       in  ..\AudioIO\ASIO\ASIO_dummy.h  !

#ifndef  SWI_ALLOW_TESTING
 #define SWI_ALLOW_TESTING 0  /* should be defined under "Project Options" */
#endif

#define SWI_PAINTLIB_INCLUDED 0   /* JPEG support               ?          */

#define SWI_UTILITY1_INCLUDED 0   /* DL4YHF's "utility"-package #1 included ? */

#define SWI_CMD_WIN_INCLUDED  0   /* Interpreter Command Window included ? */

#define SWI_TERMINAL_INCLUDED 0   /* Digimode Terminal included ?          */

#define SWI_HTTP_SRV_INCLUDED 0   /* miniature HTTP Server included ?      */

#define SWI_ALERT_INCLUDED    0   /* Spectrum Alert functions included ?   */

#define SWI_ASIO_SUPPORTED    1   /* Support ASIO audio drivers ?          */

#define SWI_STEREO_SUPPORTED  1   /* Stereophonic input and processing ?   */

#define SWI_SDR_IQ_SUPPORTED  0   /* Support SDR-IQ (and SDR-14) by RFSPACE ? */

#define SWI_PERSEUS_SUPPORTED 0   /* Support PERSEUS (by microtelecom) ?  */

#define SWI_CHOPPER_SUPPORTED 0   /* chopping hardware for DC-coupled input?*/

#define SWI_SOUND_TAB_INCLUDED 1  /* Module SoundTab.cpp included ?        */

#define SWI_SMPORT_INCLUDED   0   /* TSmPort.cpp included ? (better don't) */

#define SWI_FFT_RESULT_FLOAT  1   /* 0=INT16 result,   1=FLOAT result      */

#define SWI_CLI_FLOAT_SPECTRUM_ARRAY 0 /* see comments in CLI_ROUT.H       */

#define SWI_CHECK_SYSTEM_INTEGRITY SWI_ALLOW_TESTING /* see comments in CONFIG.H */

#ifndef  SWI_FLOAT_PRECISION   // may be defined under Project..Options..Conditionals
 #define SWI_FLOAT_PRECISION 1 /* 1=single precision, 2=double precision */
#endif

  // Limits for various "amplitude controls",  usually in decibel :
#define SWI_AMPL_MIN_DB -190 /* ex: -150 dB, not enough to test 24-bit ADC resolution */
#define SWI_AMPL_MAX_DB  150 /* Caution, for some applications much GAIN is required  */

#endif /* _SWITCHES_H_ */

